An order represents a payment between two or more parties. Use the Orders API to create, update, retrieve, authorize, and capture orders.
Creates an order. Merchants and partners can add Level 2 and 3 data to payments to reduce risk and payment processing costs. For more information about processing payments, see checkout or multiparty checkout.
Note: For error handling and troubleshooting, see Orders v2 errors.
A successful response to an idempotent request returns the HTTP 200 OK status code with a JSON response body that shows order details.
A successful request returns the HTTP 201 Created status code and a JSON response body that includes by default a minimal response with the ID, status, and HATEOAS links. If you require the complete order resource representation, you must pass the Prefer: return=representation request header. This header value is not the default.
Request is not well-formed, syntactically incorrect, or violates schema.
The requested action could not be performed, semantically incorrect, or failed business validation.
{- "id": "5O190127TN364715T",
- "payment_source": {
- "paypal": { }
}, - "links": [
- {
- "rel": "self",
- "method": "GET"
}, - {
- "rel": "payer-action",
- "method": "GET"
}
]
}Shows details for an order, by ID.
Note: For error handling and troubleshooting, see Orders v2 errors.
A successful request returns the HTTP 200 OK status code and a JSON response body that shows order details.
Default description
curl -v -X get https://api-m.sandbox.paypal.com//v2/checkout/orders/5O190127TN364715T \ -H 'Authorization: Bearer A21AAGHr9qtiRRXH4oYcQokQgV99rGqEIfgrr8xHCclP0OzmD9KVgg5ppIIg1jzJgQkV4wd02svIvBJyg6cLFJjFow_SjBhxQ' \ -d '{}'
{- "id": "5O190127TN364715T",
- "payment_source": {
- "paypal": {
- "name": {
- "given_name": "John",
- "surname": "Doe"
}, - "account_id": "QYR5Z8XDVJNXQ"
}
}, - "purchase_units": [
- {
- "reference_id": "d9f80740-38f0-11e8-b467-0ed5f89f718b",
- "amount": {
- "currency_code": "USD",
- "value": "100.00"
}
}
], - "payer": {
- "name": {
- "given_name": "John",
- "surname": "Doe"
}, - "payer_id": "QYR5Z8XDVJNXQ"
}, - "create_time": "2018-04-01T21:18:49Z",
- "links": [
- {
- "rel": "self",
- "method": "GET"
}, - {
- "rel": "approve",
- "method": "GET"
}, - {
- "rel": "edit",
- "method": "PATCH"
}, - {
- "rel": "capture",
- "method": "POST"
}
]
}Updates an order with a CREATED or APPROVED status. You cannot update an order with the COMPLETED status.
To make an update, you must provide a reference_id. If you omit this value with an order that contains only one purchase unit, PayPal sets the value to default which enables you to use the path: "/purchase_units/@reference_id=='default'/{attribute-or-object}". Merchants and partners can add Level 2 and 3 data to payments to reduce risk and payment processing costs. For more information about processing payments, see checkout or multiparty checkout.
Note: For error handling and troubleshooting, see Orders v2 errors.Patchable attributes or objects:
| Attribute | Op | Notes |
|---|---|---|
intent | replace | |
payer | replace, add | Using replace op for payer will replace the whole payer object with the value sent in request. |
purchase_units | replace, add | |
purchase_units[].custom_id | replace, add, remove | |
purchase_units[].description | replace, add, remove | |
purchase_units[].payee.email | replace | |
purchase_units[].shipping.name | replace, add | |
purchase_units[].shipping.email_address | replace, add | |
purchase_units[].shipping.phone_number | replace, add | |
purchase_units[].shipping.options | replace, add | |
purchase_units[].shipping.address | replace, add | |
purchase_units[].shipping.type | replace, add | |
purchase_units[].soft_descriptor | replace, remove | |
purchase_units[].amount | replace | |
purchase_units[].items | replace, add, remove | |
purchase_units[].invoice_id | replace, add, remove | |
purchase_units[].payment_instruction | replace | |
purchase_units[].payment_instruction.disbursement_mode | replace | By default, disbursement_mode is INSTANT. |
purchase_units[].payment_instruction.payee_receivable_fx_rate_id | replace, add, remove | |
purchase_units[].payment_instruction.platform_fees | replace, add, remove | |
purchase_units[].supplementary_data.airline | replace, add, remove | |
purchase_units[].supplementary_data.card | replace, add, remove | |
application_context.client_configuration | replace, add |
| op required | string The operation. |
| path | string [ 0 .. 2147483647 ] characters ^[\S\s]*$ The JSON Pointer to the target document location at which to complete the operation. |
| value | any (Patch Value) The value to apply. The |
| from | string [ 0 .. 2147483647 ] characters ^[\S\s]*$ The JSON Pointer to the target document location from which to move the value. Required for the |
No Content
Request is not well-formed, syntactically incorrect, or violates schema.
The requested action could not be performed, semantically incorrect, or failed business validation.
{ }Payer confirms their intent to pay for the the Order with the given payment source.
required | object (payment_source) The payment source definition. |
object (Order Confirm Application Context) Customizes the payer confirmation experience. |
A successful request indicates that the payment source was added to the Order. A successful request returns the HTTP 200 OK status code with a JSON response body that shows order details.
No Content
Request is not well-formed, syntactically incorrect, or violates schema.
Authorization failed due to insufficient permissions
The requested action could not be performed, semantically incorrect, or failed business validation.
An internal server error has occurred
{- "id": "5O190127TN364715T",
- "payment_source": {
}, - "links": [
- {
- "rel": "self",
- "method": "GET"
}, - {
- "rel": "payer-action",
- "method": "GET"
}
]
}Authorizes payment for an order. To successfully authorize payment for an order, the buyer must first approve the order or a valid payment_source must be provided in the request. A buyer can approve the order upon being redirected to the rel:approve URL that was returned in the HATEOAS links in the create order response.
Note: For error handling and troubleshooting, see Orders v2 errors.
object (payment_source) The payment source definition. |
A successful response to an idempotent request returns the HTTP 200 OK status code with a JSON response body that shows authorized payment details.
A successful response to a non-idempotent request returns the HTTP 201 Created status code with a JSON response body that shows authorized payment details. If a duplicate response is retried, returns the HTTP 200 OK status code. By default, the response is minimal. If you need the complete resource representation, you must pass the Prefer: return=representation request header.
Authorization failed due to insufficient permissions
The requested action could not be performed, semantically incorrect, or failed business validation.
{- "id": "5O190127TN364715T",
- "payment_source": {
- "paypal": {
- "name": {
- "given_name": "John",
- "surname": "Doe"
}, - "account_status": "VERIFIED",
- "account_id": "QYR5Z8XDVJNXQ"
}
}, - "purchase_units": [
- {
- "reference_id": "d9f80740-38f0-11e8-b467-0ed5f89f718b",
- "shipping": {
- "address": {
- "address_line_1": "2211 N First Street",
- "address_line_2": "Building 17",
- "admin_area_2": "San Jose",
- "admin_area_1": "CA",
- "postal_code": "95131",
- "country_code": "US"
}
}, - "payments": {
- "authorizations": [
- {
- "id": "0AW2184448108334S",
- "status": "CREATED",
- "amount": {
- "currency_code": "USD",
- "value": "100.00"
}, - "seller_protection": {
- "status": "ELIGIBLE",
- "dispute_categories": [
- "ITEM_NOT_RECEIVED",
- "UNAUTHORIZED_TRANSACTION"
]
}, - "expiration_time": "2018-05-01T21:20:49Z",
- "create_time": "2018-04-01T21:20:49Z",
- "update_time": "2018-04-01T21:20:49Z",
- "links": [
- {
- "rel": "self",
- "method": "GET"
}, - {
- "rel": "capture",
- "method": "POST"
}, - {
- "rel": "void",
- "method": "POST"
}, - {
- "rel": "reauthorize",
- "method": "POST"
}
]
}
]
}
}
], - "payer": {
- "name": {
- "given_name": "John",
- "surname": "Doe"
}, - "payer_id": "QYR5Z8XDVJNXQ"
}, - "links": [
- {
- "rel": "self",
- "method": "GET"
}
]
}Captures payment for an order. To successfully capture payment for an order, the buyer must first approve the order or a valid payment_source must be provided in the request. A buyer can approve the order upon being redirected to the rel:approve URL that was returned in the HATEOAS links in the create order response.
Note: For error handling and troubleshooting, see Orders v2 errors.
object (payment_source) The payment source definition. |
A successful response to an idempotent request returns the HTTP 200 OK status code with a JSON response body that shows captured payment details.
A successful response to a non-idempotent request returns the HTTP 201 Created status code with a JSON response body that shows captured payment details. If a duplicate response is retried, returns the HTTP 200 OK status code. By default, the response is minimal. If you need the complete resource representation, pass the Prefer: return=representation request header.
Authorization failed due to insufficient permissions
Default description
The requested action could not be performed, semantically incorrect, or failed business validation.
{- "id": "5O190127TN364715T",
- "payment_source": {
- "paypal": {
- "name": {
- "given_name": "John",
- "surname": "Doe"
}, - "account_id": "QYR5Z8XDVJNXQ",
- "account_status": "VERIFIED"
}
}, - "purchase_units": [
- {
- "reference_id": "d9f80740-38f0-11e8-b467-0ed5f89f718b",
- "shipping": {
- "address": {
- "address_line_1": "2211 N First Street",
- "address_line_2": "Building 17",
- "admin_area_2": "San Jose",
- "admin_area_1": "CA",
- "postal_code": "95131",
- "country_code": "US"
}
}, - "payments": {
- "captures": [
- {
- "id": "3C679366HH908993F",
- "status": "COMPLETED",
- "amount": {
- "currency_code": "USD",
- "value": "100.00"
}, - "seller_protection": {
- "status": "ELIGIBLE",
- "dispute_categories": [
- "ITEM_NOT_RECEIVED",
- "UNAUTHORIZED_TRANSACTION"
]
}, - "final_capture": true,
- "seller_receivable_breakdown": {
- "gross_amount": {
- "currency_code": "USD",
- "value": "100.00"
}, - "paypal_fee": {
- "currency_code": "USD",
- "value": "3.00"
}, - "net_amount": {
- "currency_code": "USD",
- "value": "97.00"
}
}, - "create_time": "2018-04-01T21:20:49Z",
- "update_time": "2018-04-01T21:20:49Z",
- "links": [
- {
- "rel": "self",
- "method": "GET"
}, - {
- "rel": "refund",
- "method": "POST"
}
]
}
]
}
}
], - "payer": {
- "name": {
- "given_name": "John",
- "surname": "Doe"
}, - "payer_id": "QYR5Z8XDVJNXQ"
}, - "links": [
- {
- "rel": "self",
- "method": "GET"
}
]
}Adds tracking information for an Order.
| tracking_number required | string [ 1 .. 64 ] characters ^[\S\s]*$ The tracking number for the shipment. This property supports Unicode. |
| carrier required | string (carrier) The carrier for the shipment. Some carriers have a global version as well as local subsidiaries. The subsidiaries are repeated over many countries and might also have an entry in the global list. Choose the carrier for your country. If the carrier is not available for your country, choose the global version of the carrier. If your carrier name is not in the list, set |
| carrier_name_other | string [ 1 .. 64 ] characters ^[\S\s]*$ The name of the carrier for the shipment. Provide this value only if the carrier parameter is OTHER. This property supports Unicode. |
| capture_id required | string [ 1 .. 50 ] characters ^[a-zA-Z0-9]*$ The PayPal capture ID. |
| notify_payer | boolean Default: false If true, PayPal will send an email notification to the payer of the PayPal transaction. The email contains the tracking details provided through the Orders tracking API request. Independent of any value passed for |
Array of objects (tracker_item) [ 0 .. 32767 ] items An array of details of items in the shipment. |
A successful response to an idempotent request returns the HTTP 200 OK status code with a JSON response body that shows tracker details.
A successful response to a non-idempotent request returns the HTTP 201 Created status code with a JSON response body that shows tracker details. If a duplicate response is retried, returns the HTTP 200 OK status code.
Request is not well-formed, syntactically incorrect, or violates schema.
Authorization failed due to insufficient permissions
The requested action could not be performed, semantically incorrect, or failed business validation.
An internal server error has occurred
{- "id": "5O190127TN364715T",
- "purchase_units": [
- {
- "reference_id": "d9f80740-38f0-11e8-b467-0ed5f89f718b",
- "items": [
- {
- "name": "Air Jordan Shoe",
- "sku": "sku01",
- "quantity": "1",
- "unit_amount": {
- "currency_code": "USD",
- "value": "50.00"
}
}, - {
- "name": "T-Shirt",
- "sku": "sku02",
- "quantity": "1",
- "unit_amount": {
- "currency_code": "USD",
- "value": "50.00"
}
}
], - "shipping": {
- "trackers": [
- {
- "id": "8MC585209K746392H-443844607820",
- "links": [
- {
- "rel": "up",
- "method": "GET"
}, - {
- "rel": "edit",
- "method": "PATCH"
}
], - "create_time": "2022-08-12T21:20:49Z",
- "update_time": "2022-08-12T21:20:49Z"
}
]
}, - "payments": {
- "captures": [
- {
- "id": "8MC585209K746392H",
- "status": "COMPLETED",
- "amount": {
- "currency_code": "USD",
- "value": "100.00"
}, - "seller_protection": {
- "status": "NOT_ELIGIBLE"
}, - "final_capture": true,
- "seller_receivable_breakdown": {
- "gross_amount": {
- "currency_code": "USD",
- "value": "100.00"
}, - "paypal_fee": {
- "currency_code": "USD",
- "value": "3.00"
}, - "net_amount": {
- "currency_code": "USD",
- "value": "97.00"
}
}, - "create_time": "2018-04-01T21:20:49Z",
- "update_time": "2018-04-01T21:20:49Z",
- "links": [
- {
- "rel": "self",
- "method": "GET"
}, - {
- "rel": "refund",
- "method": "POST"
}
]
}
]
}
}
], - "links": [
- {
- "rel": "self",
- "method": "GET"
}
]
}Updates or cancels the tracking information for a PayPal order, by ID. Updatable attributes or objects:
| Attribute | Op | Notes |
|---|---|---|
items | replace | Using replace op for items will replace the entire items object with the value sent in request. |
notify_payer | replace, add | |
status | replace | Only patching status to CANCELLED is currently supported. |
| op required | string The operation. |
| path | string [ 0 .. 2147483647 ] characters ^[\S\s]*$ The JSON Pointer to the target document location at which to complete the operation. |
| value | any (Patch Value) The value to apply. The |
| from | string [ 0 .. 2147483647 ] characters ^[\S\s]*$ The JSON Pointer to the target document location from which to move the value. Required for the |
No Content
Request is not well-formed, syntactically incorrect, or violates schema.
Authorization failed due to insufficient permissions
Default description
The requested action could not be performed, semantically incorrect, or failed business validation.
An internal server error has occurred
{ }The documentation for this 'endpoint' is different from the other endpoints under v2 Orders. For this endpoint the role of client and server is reversed. The client sending the request is PayPal, and the server sending the response is the merchant. In the request, PayPal will send the buyer's redacted shipping address and selected shipping option to the callback URL defined the create order request. The response from the merchant will update the Orders resource.
object (Portable Postal Address (Medium-Grained)) The portable international postal address. Maps to AddressValidationMetadata and HTML 5.1 Autofilling form controls: the autocomplete attribute. | |
object (shipping_option) The options that the payee or merchant offers to the payer to ship or pick up their items. | |
required | Array of objects (Purchase Unit Request) = 1 items An array of purchase units. At present only 1 purchase_unit is supported. Each purchase unit establishes a contract between a payer and the payee. Each purchase unit represents either a full or partial order that the payer intends to purchase from the payee. |
The callback to merchant was successful.
{- "id": "5O190127TN364715T",
- "purchase_units": {
- "reference_id": "d9f80740-38f0-11e8-b467-0ed5f89f718b",
- "amount": {
- "currency_code": "USD",
- "value": "90.00",
- "breakdown": {
- "item_total": {
- "currency_code": "USD",
- "value": "90.00"
}, - "tax_total": {
- "currency_code": "USD",
- "value": "10.00"
}, - "shipping": {
- "currency_code": "USD",
- "value": "0.00"
}, - "discount": {
- "currency_code": "USD",
- "value": "10.00",
- "breakdown": [
- {
- "value": "10.00",
- "currency_code": "USD",
- "discount_code": "SUMMER_SALE",
- "description": "$10 off for summer sale"
}
]
}
}
}, - "items": [
- {
- "name": "T-Shirt",
- "description": "Green XL",
- "sku": "sku01",
- "unit_amount": {
- "currency_code": "USD",
- "value": "90.00"
}, - "tax": {
- "currency_code": "USD",
- "value": "10.00"
}, - "quantity": "1",
- "category": "PHYSICAL_GOODS"
}
], - "shipping": {
- "options": [
- {
- "id": "FEDEX",
- "amount": {
- "currency_code": "USD",
- "value": "0.00"
}, - "type": "SHIPPING",
- "label": "Free Shipping",
- "selected": true
}
]
}
}
}The PayPal payer ID, which is a masked version of the PayPal account number intended for use with third parties. The account number is reversibly encrypted and a proprietary variant of Base32 is used to encode the result.
The PayPal payer ID, which is a masked version of the PayPal account number intended for use with third parties. The account number is reversibly encrypted and a proprietary variant of Base32 is used to encode the result.
"stringstrings"The date and time stamps that are common to authorized payment, captured payment, and refund transactions.
| create_time | string (date_time) [ 20 .. 64 ] characters ^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|... The date and time, in Internet date and time format. Seconds are required while fractional seconds are optional. Note: The regular expression provides guidance but does not reject all invalid dates. |
| update_time | string (date_time) [ 20 .. 64 ] characters ^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|... The date and time, in Internet date and time format. Seconds are required while fractional seconds are optional. Note: The regular expression provides guidance but does not reject all invalid dates. |
{- "create_time": "string",
- "update_time": "string"
}The breakdown of the amount. Breakdown provides details such as total item amount, total tax amount, shipping, handling, insurance, and discounts, if any.
object (Money) The currency and amount for a financial transaction, such as a balance or payment due. | |
object (Money) The currency and amount for a financial transaction, such as a balance or payment due. | |
object (Money) The currency and amount for a financial transaction, such as a balance or payment due. | |
object (Money) The currency and amount for a financial transaction, such as a balance or payment due. | |
object (Money) The currency and amount for a financial transaction, such as a balance or payment due. | |
object (Money) The currency and amount for a financial transaction, such as a balance or payment due. | |
object (discount_with_breakdown) The discount amount and currency code. For list of supported currencies and decimal precision, see the PayPal REST APIs Currency Codes. |
{- "item_total": {
- "currency_code": "str",
- "value": "string"
}, - "shipping": {
- "currency_code": "str",
- "value": "string"
}, - "handling": {
- "currency_code": "str",
- "value": "string"
}, - "tax_total": {
- "currency_code": "str",
- "value": "string"
}, - "insurance": {
- "currency_code": "str",
- "value": "string"
}, - "shipping_discount": {
- "currency_code": "str",
- "value": "string"
}, - "discount": {
- "currency_code": "str",
- "value": "string"
}
}The total order amount with an optional breakdown that provides details, such as the total item amount, total tax amount, shipping, handling, insurance, and discounts, if any.
If you specify amount.breakdown, the amount equals item_total plus tax_total plus shipping plus handling plus insurance minus shipping_discount minus discount.
The amount must be a positive number. For listed of supported currencies and decimal precision, see the PayPal REST APIs Currency Codes.
| currency_code required | string (currency_code) = 3 characters ^[\S\s]*$ The three-character ISO-4217 currency code that identifies the currency. |
| value required | string [ 0 .. 32 ] characters ^((-?[0-9]+)|(-?([0-9]+)?[.][0-9]+))$ The value, which might be:
|
object (amount_breakdown) The breakdown of the amount. Breakdown provides details such as total item amount, total tax amount, shipping, handling, insurance, and discounts, if any. |
{- "currency_code": "str",
- "value": "string",
- "breakdown": {
- "item_total": {
- "currency_code": "str",
- "value": "string"
}, - "shipping": {
- "currency_code": "str",
- "value": "string"
}, - "handling": {
- "currency_code": "str",
- "value": "string"
}, - "tax_total": {
- "currency_code": "str",
- "value": "string"
}, - "insurance": {
- "currency_code": "str",
- "value": "string"
}, - "shipping_discount": {
- "currency_code": "str",
- "value": "string"
}, - "discount": {
- "currency_code": "str",
- "value": "string"
}
}
}Merchant provided, buyer's native app preferences to app switch to the PayPal consumer app.
| os_type | string Operating System type of the device that the buyer is using. |
| os_version | string [ 1 .. 64 ] characters ^.*$ Operating System version of the device that the buyer is using. |
{- "os_type": "ANDROID",
- "os_version": "string"
}Information needed to pay using ApplePay.
| id | string [ 1 .. 250 ] characters ^.*$ ApplePay transaction identifier, this will be the unique identifier for this transaction provided by Apple. The pattern is defined by an external party and supports Unicode. |
| token | string [ 1 .. 10000 ] characters ^.*$ Encrypted ApplePay token, containing card information. This token would be base64encoded. The pattern is defined by an external party and supports Unicode. |
| name | string (name) [ 3 .. 300 ] characters ^[\S\s]*$ The full name representation like Mr J Smith. |
| email_address | string (email_address) [ 3 .. 254 ] characters ^(?:[A-Za-z0-9!#$%&'*+/=?^_`{|}~-]+(?:\.[A-Za... The internationalized email address. Note: Up to 64 characters are allowed before and 255 characters are allowed after the |
object (Phone) The phone number, in its canonical international E.164 numbering plan format. | |
object (apple_pay_card_response) The Card from Apple Pay Wallet used to fund the payment. | |
object (apple_pay_attributes_response) Additional attributes associated with the use of Apple Pay. | |
object (card_stored_credential) Provides additional details to process a payment using a
|
{- "id": "string",
- "token": "string",
- "name": "string",
- "email_address": "string",
- "phone_number": {
- "country_code": "str",
- "national_number": "string",
- "extension_number": "string"
}, - "card": {
- "name": "string",
- "last_digits": "string",
- "brand": "VISA",
- "available_networks": [
- "VISA"
], - "type": "CREDIT",
- "authentication_result": {
- "liability_shift": "NO",
- "three_d_secure": {
- "authentication_status": "Y",
- "enrollment_status": "Y"
}
}, - "attributes": {
- "vault": {
- "id": "string",
- "status": "VAULTED",
- "customer": {
- "id": "string",
- "email_address": "string",
- "phone": {
- "phone_type": "FAX",
- "phone_number": {
- "national_number": "string"
}
}, - "name": {
- "prefix": "string",
- "given_name": "string",
- "surname": "string",
- "middle_name": "string",
- "suffix": "string",
- "full_name": "string"
}, - "merchant_customer_id": "string"
}, - "links": [
- {
- "href": "string",
- "rel": "string",
- "method": "GET",
- "title": "string",
- "mediaType": "string",
- "encType": "application/json",
- "schema": {
- "additionalItems": { },
- "dependencies": { },
- "items": { },
- "definitions": { },
- "patternProperties": { },
- "properties": { },
- "allOf": [
- { }
], - "anyOf": [
- { }
], - "oneOf": [
- { }
], - "not": { },
- "links": [
- { }
], - "fragmentResolution": "string",
- "media": {
- "type": null,
- "binaryEncoding": null
},
}, - "targetSchema": {
- "additionalItems": { },
- "dependencies": { },
- "items": { },
- "definitions": { },
- "patternProperties": { },
- "properties": { },
- "allOf": [
- { }
], - "anyOf": [
- { }
], - "oneOf": [
- { }
], - "not": { },
- "links": [
- { }
], - "fragmentResolution": "string",
- "media": {
- "type": null,
- "binaryEncoding": null
},
}
}
]
}
}, - "from_request": {
- "expiry": "string",
- "last_digits": "stri"
}, - "expiry": "string",
- "bin_details": {
- "bin": "string",
- "issuing_bank": "string",
- "bin_country_code": "string",
- "products": [
- "string"
]
}, - "stored_credential": {
- "payment_initiator": "CUSTOMER",
- "payment_type": "ONE_TIME",
- "usage": "FIRST",
- "previous_network_transaction_reference": {
- "id": "stringstr",
- "date": "stri",
- "network": "VISA",
- "acquirer_reference_number": "string"
}
}, - "billing_address": {
- "address_line_1": "string",
- "address_line_2": "string",
- "address_line_3": "string",
- "admin_area_4": "string",
- "admin_area_3": "string",
- "admin_area_2": "string",
- "admin_area_1": "string",
- "postal_code": "string",
- "country_code": "st",
- "address_details": {
- "street_number": "string",
- "street_name": "string",
- "street_type": "string",
- "delivery_service": "string",
- "building_name": "string",
- "sub_building": "string"
}
}, - "country_code": "string"
}, - "attributes": {
- "vault": {
- "id": "string",
- "status": "VAULTED",
- "customer": {
- "id": "string",
- "email_address": "string",
- "phone": {
- "phone_type": "FAX",
- "phone_number": {
- "national_number": "string"
}
}, - "name": {
- "prefix": "string",
- "given_name": "string",
- "surname": "string",
- "middle_name": "string",
- "suffix": "string",
- "full_name": "string"
}
}, - "links": [
- {
- "href": "string",
- "rel": "string",
- "method": "GET",
- "title": "string",
- "mediaType": "string",
- "encType": "application/json",
- "schema": {
- "additionalItems": { },
- "dependencies": { },
- "items": { },
- "definitions": { },
- "patternProperties": { },
- "properties": { },
- "allOf": [
- { }
], - "anyOf": [
- { }
], - "oneOf": [
- { }
], - "not": { },
- "links": [
- { }
], - "fragmentResolution": "string",
- "media": {
- "type": "string",
- "binaryEncoding": "string"
},
}, - "targetSchema": {
- "additionalItems": { },
- "dependencies": { },
- "items": { },
- "definitions": { },
- "patternProperties": { },
- "properties": { },
- "allOf": [
- { }
], - "anyOf": [
- { }
], - "oneOf": [
- { }
], - "not": { },
- "links": [
- { }
], - "fragmentResolution": "string",
- "media": {
- "type": "string",
- "binaryEncoding": "string"
},
}
}
]
}
}, - "stored_credential": {
- "payment_initiator": "CUSTOMER",
- "payment_type": "ONE_TIME",
- "usage": "FIRST",
- "previous_network_transaction_reference": {
- "id": "stringstr",
- "date": "stri",
- "network": "VISA",
- "acquirer_reference_number": "string"
}
}
}Additional attributes associated with apple pay.
object (customer) This object represents a merchant’s customer, allowing them to store contact details, and track all payments associated with the same customer. | |
object (v3_vault_instruction_base) Base vaulting specification. The object can be extended for specific use cases within each payment_source that supports vaulting. |
{- "customer": {
- "id": "string",
- "email_address": "string",
- "phone": {
- "phone_type": "FAX",
- "phone_number": {
- "national_number": "string"
}
}, - "name": {
- "prefix": "string",
- "given_name": "string",
- "surname": "string",
- "middle_name": "string",
- "suffix": "string",
- "full_name": "string"
}
}, - "vault": {
- "store_in_vault": "ON_SUCCESS"
}
}Additional attributes associated with the use of Apple Pay.
object (vault_response) The details about a saved payment source. |
{- "vault": {
- "id": "string",
- "status": "VAULTED",
- "customer": {
- "id": "string",
- "email_address": "string",
- "phone": {
- "phone_type": "FAX",
- "phone_number": {
- "national_number": "string"
}
}, - "name": {
- "prefix": "string",
- "given_name": "string",
- "surname": "string",
- "middle_name": "string",
- "suffix": "string",
- "full_name": "string"
}
}, - "links": [
- {
- "href": "string",
- "rel": "string",
- "method": "GET",
- "title": "string",
- "mediaType": "string",
- "encType": "application/json",
- "schema": {
- "additionalItems": { },
- "dependencies": { },
- "items": { },
- "definitions": { },
- "patternProperties": { },
- "properties": { },
- "allOf": [
- { }
], - "anyOf": [
- { }
], - "oneOf": [
- { }
], - "not": { },
- "links": [
- { }
], - "fragmentResolution": "string",
- "media": {
- "type": "string",
- "binaryEncoding": "string"
},
}, - "targetSchema": {
- "additionalItems": { },
- "dependencies": { },
- "items": { },
- "definitions": { },
- "patternProperties": { },
- "properties": { },
- "allOf": [
- { }
], - "anyOf": [
- { }
], - "oneOf": [
- { }
], - "not": { },
- "links": [
- { }
], - "fragmentResolution": "string",
- "media": {
- "type": "string",
- "binaryEncoding": "string"
},
}
}
]
}
}The Card from Apple Pay Wallet used to fund the payment.
| name | string [ 0 .. 300 ] characters ^[\S\s]*$ The card holder's name as it appears on the card. |
| last_digits | string [ 0 .. 2147483647 ] characters ^.*[0-9]{2,}.*$ The last digits of the payment card. |
| brand | string (card_brand) The card network or brand. Applies to credit, debit, gift, and payment cards. |
| available_networks | Array of strings (card_brand) [ 1 .. 256 ] items Array of brands or networks associated with the card. |
| type | string (card_type) Type of card. i.e Credit, Debit and so on. |
object (authentication_response) Results of Authentication such as 3D Secure. | |
object (card_attributes_response) Additional attributes associated with the use of this card. | |
object (card_from_request) Representation of card details as received in the request. | |
| expiry | string (date_year_month) = 7 characters ^[0-9]{4}-(0[1-9]|1[0-2])$ The year and month, in ISO-8601 |
object (bin_details) Bank Identification Number (BIN) details used to fund a payment. | |
object (card_stored_credential) Provides additional details to process a payment using a
| |
object (Portable Postal Address (Medium-Grained)) The portable international postal address. Maps to AddressValidationMetadata and HTML 5.1 Autofilling form controls: the autocomplete attribute. | |
| country_code | string (country_code-2) = 2 characters ^([A-Z]{2}|C2)$ The two-character ISO 3166-1 code that identifies the country or region. Note: The country code for Great Britain is |
{- "name": "string",
- "last_digits": "string",
- "brand": "VISA",
- "available_networks": [
- "VISA"
], - "type": "CREDIT",
- "authentication_result": {
- "liability_shift": "NO",
- "three_d_secure": {
- "authentication_status": "Y",
- "enrollment_status": "Y"
}
}, - "attributes": {
- "vault": {
- "id": "string",
- "status": "VAULTED",
- "customer": {
- "id": "string",
- "email_address": "string",
- "phone": {
- "phone_type": "FAX",
- "phone_number": {
- "national_number": "string"
}
}, - "name": {
- "prefix": "string",
- "given_name": "string",
- "surname": "string",
- "middle_name": "string",
- "suffix": "string",
- "full_name": "string"
}, - "merchant_customer_id": "string"
}, - "links": [
- {
- "href": "string",
- "rel": "string",
- "method": "GET",
- "title": "string",
- "mediaType": "string",
- "encType": "application/json",
- "schema": {
- "additionalItems": { },
- "dependencies": { },
- "items": { },
- "definitions": { },
- "patternProperties": { },
- "properties": { },
- "allOf": [
- { }
], - "anyOf": [
- { }
], - "oneOf": [
- { }
], - "not": { },
- "links": [
- { }
], - "fragmentResolution": "string",
- "media": {
- "type": "string",
- "binaryEncoding": "string"
},
}, - "targetSchema": {
- "additionalItems": { },
- "dependencies": { },
- "items": { },
- "definitions": { },
- "patternProperties": { },
- "properties": { },
- "allOf": [
- { }
], - "anyOf": [
- { }
], - "oneOf": [
- { }
], - "not": { },
- "links": [
- { }
], - "fragmentResolution": "string",
- "media": {
- "type": "string",
- "binaryEncoding": "string"
},
}
}
]
}
}, - "from_request": {
- "expiry": "string",
- "last_digits": "stri"
}, - "expiry": "string",
- "bin_details": {
- "bin": "string",
- "issuing_bank": "string",
- "bin_country_code": "string",
- "products": [
- "string"
]
}, - "stored_credential": {
- "payment_initiator": "CUSTOMER",
- "payment_type": "ONE_TIME",
- "usage": "FIRST",
- "previous_network_transaction_reference": {
- "id": "stringstr",
- "date": "stri",
- "network": "VISA",
- "acquirer_reference_number": "string"
}
}, - "billing_address": {
- "address_line_1": "string",
- "address_line_2": "string",
- "address_line_3": "string",
- "admin_area_4": "string",
- "admin_area_3": "string",
- "admin_area_2": "string",
- "admin_area_1": "string",
- "postal_code": "string",
- "country_code": "st",
- "address_details": {
- "street_number": "string",
- "street_name": "string",
- "street_type": "string",
- "delivery_service": "string",
- "building_name": "string",
- "sub_building": "string"
}
}, - "country_code": "string"
}Information about the Payment data obtained by decrypting Apple Pay token.
object (Money) The currency and amount for a financial transaction, such as a balance or payment due. | |
required | object (card) The payment card to use to fund a payment. Can be a credit or debit card. |
| device_manufacturer_id | string [ 1 .. 2000 ] characters ^.*$ Apple Pay Hex-encoded device manufacturer identifier. The pattern is defined by an external party and supports Unicode. |
| payment_data_type | string Indicates the type of payment data passed, in case of Non China the payment data is 3DSECURE and for China it is EMV. |
object (apple_pay_payment_data) Information about the decrypted apple pay payment data for the token like cryptogram, eci indicator. |
{- "transaction_amount": {
- "currency_code": "str",
- "value": "string"
}, - "tokenized_card": {
- "id": "string",
- "name": "string",
- "number": "stringstrings",
- "expiry": "string",
- "security_code": "stri",
- "last_digits": "stri",
- "card_type": "VISA",
- "type": "CREDIT",
- "brand": "VISA",
- "billing_address": {
- "address_line_1": "string",
- "address_line_2": "string",
- "address_line_3": "string",
- "admin_area_4": "string",
- "admin_area_3": "string",
- "admin_area_2": "string",
- "admin_area_1": "string",
- "postal_code": "string",
- "country_code": "st",
- "address_details": {
- "street_number": "string",
- "street_name": "string",
- "street_type": "string",
- "delivery_service": "string",
- "building_name": "string",
- "sub_building": "string"
}
}, - "attributes": {
- "customer": {
- "id": "string",
- "email_address": "string",
- "phone": {
- "phone_type": "FAX",
- "phone_number": {
- "national_number": "string"
}
}, - "name": {
- "prefix": "string",
- "given_name": "string",
- "surname": "string",
- "middle_name": "string",
- "suffix": "string",
- "full_name": "string"
}, - "merchant_customer_id": "string"
}, - "vault": {
- "store_in_vault": "ON_SUCCESS"
}, - "verification": {
- "method": "SCA_ALWAYS"
}
}
}, - "device_manufacturer_id": "string",
- "payment_data_type": "3DSECURE",
- "payment_data": {
- "cryptogram": "string",
- "eci_indicator": "string",
- "emv_data": "string",
- "pin": "string"
}
}Customizes the payer experience during the approval process for the payment.
| return_url required | string <uri> (url) [ 0 .. 2147483647 ] characters Describes the URL. |
| cancel_url required | string <uri> (url) [ 0 .. 2147483647 ] characters Describes the URL. |
{
}Information about the decrypted apple pay payment data for the token like cryptogram, eci indicator.
| cryptogram | string [ 1 .. 2000 ] characters ^.*$ Online payment cryptogram, as defined by 3D Secure. The pattern is defined by an external party and supports Unicode. |
| eci_indicator | string [ 1 .. 256 ] characters ^.*$ ECI indicator, as defined by 3- Secure. The pattern is defined by an external party and supports Unicode. |
| emv_data | string [ 1 .. 2000 ] characters ^.*$ Encoded Apple Pay EMV Payment Structure used for payments in China. The pattern is defined by an external party and supports Unicode. |
| pin | string [ 1 .. 2000 ] characters ^.*$ Bank Key encrypted Apple Pay PIN. The pattern is defined by an external party and supports Unicode. |
{- "cryptogram": "string",
- "eci_indicator": "string",
- "emv_data": "string",
- "pin": "string"
}Information needed to pay using ApplePay.
| id | string [ 1 .. 250 ] characters ^.*$ ApplePay transaction identifier, this will be the unique identifier for this transaction provided by Apple. The pattern is defined by an external party and supports Unicode. |
| name | string (name) [ 3 .. 300 ] characters ^[\S\s]*$ The full name representation like Mr J Smith. |
| email_address | string (email_address) [ 3 .. 254 ] characters ^(?:[A-Za-z0-9!#$%&'*+/=?^_`{|}~-]+(?:\.[A-Za... The internationalized email address. Note: Up to 64 characters are allowed before and 255 characters are allowed after the |
object (Phone Number Format Requiring National Number Excluding Country Code) A structured representation of a phone number conforming to the international E.164 numbering plan format,requiring only the national_number field. | |
object (apple_pay_decrypted_token_data) Information about the Payment data obtained by decrypting Apple Pay token. | |
object (card_stored_credential) Provides additional details to process a payment using a
| |
| vault_id | string (vault_id) [ 1 .. 255 ] characters ^[0-9a-zA-Z_-]+$ The PayPal-generated ID for the vaulted payment source. This ID should be stored on the merchant's server so the saved payment source can be used for future transactions. |
object (apple_pay_attributes) Additional attributes associated with apple pay. | |
object (apple_pay_experience_context) Customizes the payer experience during the approval process for the payment. |
{- "id": "string",
- "name": "string",
- "email_address": "string",
- "phone_number": {
- "national_number": "string"
}, - "decrypted_token": {
- "transaction_amount": {
- "currency_code": "str",
- "value": "string"
}, - "tokenized_card": {
- "id": "string",
- "name": "string",
- "number": "stringstrings",
- "expiry": "string",
- "security_code": "stri",
- "last_digits": "stri",
- "card_type": "VISA",
- "type": "CREDIT",
- "brand": "VISA",
- "billing_address": {
- "address_line_1": "string",
- "address_line_2": "string",
- "address_line_3": "string",
- "admin_area_4": "string",
- "admin_area_3": "string",
- "admin_area_2": "string",
- "admin_area_1": "string",
- "postal_code": "string",
- "country_code": "st",
- "address_details": {
- "street_number": "string",
- "street_name": "string",
- "street_type": "string",
- "delivery_service": "string",
- "building_name": "string",
- "sub_building": "string"
}
}, - "attributes": {
- "customer": {
- "id": "string",
- "email_address": "string",
- "phone": {
- "phone_type": "FAX",
- "phone_number": {
- "national_number": "string"
}
}, - "name": {
- "prefix": "string",
- "given_name": "string",
- "surname": "string",
- "middle_name": "string",
- "suffix": "string",
- "full_name": "string"
}, - "merchant_customer_id": "string"
}, - "vault": {
- "store_in_vault": "ON_SUCCESS"
}, - "verification": {
- "method": "SCA_ALWAYS"
}
}
}, - "device_manufacturer_id": "string",
- "payment_data_type": "3DSECURE",
- "payment_data": {
- "cryptogram": "string",
- "eci_indicator": "string",
- "emv_data": "string",
- "pin": "string"
}
}, - "stored_credential": {
- "payment_initiator": "CUSTOMER",
- "payment_type": "ONE_TIME",
- "usage": "FIRST",
- "previous_network_transaction_reference": {
- "id": "stringstr",
- "date": "stri",
- "network": "VISA",
- "acquirer_reference_number": "string"
}
}, - "vault_id": "string",
- "attributes": {
- "customer": {
- "id": "string",
- "email_address": "string",
- "phone": {
- "phone_type": "FAX",
- "phone_number": {
- "national_number": "string"
}
}, - "name": {
- "prefix": "string",
- "given_name": "string",
- "surname": "string",
- "middle_name": "string",
- "suffix": "string",
- "full_name": "string"
}
}, - "vault": {
- "store_in_vault": "ON_SUCCESS"
}
},
}Customizes the payer experience during the approval process for the payment with PayPal.
Note: Partners and Marketplaces might configurebrand_nameandshipping_preferenceduring partner account setup, which overrides the request values.
| brand_name | string [ 1 .. 127 ] characters ^[\S\s]*$ DEPRECATED. The label that overrides the business name in the PayPal account on the PayPal site. The fields in | ||||
| locale | string (language) [ 2 .. 10 ] characters ^[a-z]{2}(?:-[A-Z][a-z]{3})?(?:-(?:[A-Z]{2}|[... The language tag for the language in which to localize the error-related strings, such as messages, issues, and suggested actions. The tag is made up of the ISO 639-2 language code, the optional ISO-15924 script tag, and the ISO-3166 alpha-2 country code or M49 region code. | ||||
| landing_page | string (Order Application Context Landing Page) Deprecated Default: "NO_PREFERENCE" DEPRECATED. DEPRECATED. The type of landing page to show on the PayPal site for customer checkout. The fields in
| ||||
| shipping_preference | string (Order Application Context Shipping Preference) Deprecated Default: "GET_FROM_FILE" DEPRECATED. DEPRECATED. The shipping preference:
application_context are now available in the experience_context object under the payment_source which supports them (eg. payment_source.paypal.experience_context.shipping_preference). Please specify this field in the experience_context object instead of the application_context object. DEPRECATED
| ||||
| user_action | string Default: "CONTINUE" DEPRECATED. Configures a Continue or Pay Now checkout flow. The fields in | ||||
object (payment_method) The customer and merchant payment preferences. | |||||
| return_url | string <uri> [ 0 .. 2147483647 ] characters DEPRECATED. The URL where the customer is redirected after the customer approves the payment. The fields in | ||||
| cancel_url | string <uri> [ 0 .. 2147483647 ] characters DEPRECATED. The URL where the customer is redirected after the customer cancels the payment. The fields in | ||||
object (stored_payment_source) Deprecated Provides additional details to process a payment using a
|
{- "brand_name": "string",
- "locale": "string",
- "landing_page": "LOGIN",
- "shipping_preference": "GET_FROM_FILE",
- "user_action": "CONTINUE",
- "payment_method": {
- "payee_preferred": "UNRESTRICTED",
- "standard_entry_class_code": "TEL"
}, - "stored_payment_source": {
- "payment_initiator": "CUSTOMER",
- "payment_type": "ONE_TIME",
- "usage": "FIRST",
- "previous_network_transaction_reference": {
- "id": "stringstr",
- "date": "stri",
- "network": "VISA",
- "acquirer_reference_number": "string"
}
}
}Information about cardholder possession validation and cardholder identification and verifications (ID&V).
| account_verified | boolean Default: false If true, indicates that Cardholder possession validation has been performed on returned payment credential. |
| card_holder_authenticated | boolean Default: false If true, indicates that identification and verifications (ID&V) was performed on the returned payment credential.If false, the same risk-based authentication can be performed as you would for card transactions. This risk-based authentication can include, but not limited to, step-up with 3D Secure protocol if applicable. |
{- "account_verified": false,
- "card_holder_authenticated": false
}Results of Authentication such as 3D Secure.
| liability_shift | string (liability_shift) Liability shift indicator. The outcome of the issuer's authentication. |
object (three_d_secure_authentication_response) Results of 3D Secure Authentication. |
{- "liability_shift": "NO",
- "three_d_secure": {
- "authentication_status": "Y",
- "enrollment_status": "Y"
}
}The authorized payment transaction.
| status | string (Authorization Status) The status for the authorized payment. |
object (authorization_status_details) The details of the authorized payment status. | |
| id | string [ 0 .. 2147483647 ] characters ^[\S\s]*$ The PayPal-generated ID for the authorized payment. |
object (amount_with_breakdown) The total order amount with an optional breakdown that provides details, such as the total item amount, total tax amount, shipping, handling, insurance, and discounts, if any. | |
| invoice_id | string [ 0 .. 2147483647 ] characters ^[\S\s]*$ The API caller-provided external invoice number for this order. Appears in both the payer's transaction history and the emails that the payer receives. |
| custom_id | string [ 0 .. 255 ] characters ^[\S\s]*$ The API caller-provided external ID. Used to reconcile API caller-initiated transactions with PayPal transactions. Appears in transaction and settlement reports. |
object (network_transaction) Reference values used by the card network to identify a transaction. | |
object (seller_protection) The level of protection offered as defined by PayPal Seller Protection for Merchants. | |
| expiration_time | string (date_time) [ 20 .. 64 ] characters ^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|... The date and time, in Internet date and time format. Seconds are required while fractional seconds are optional. Note: The regular expression provides guidance but does not reject all invalid dates. |
Array of objects (Link Description) [ 0 .. 32767 ] items An array of related HATEOAS links. | |
| create_time | string (date_time) [ 20 .. 64 ] characters ^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|... The date and time, in Internet date and time format. Seconds are required while fractional seconds are optional. Note: The regular expression provides guidance but does not reject all invalid dates. |
| update_time | string (date_time) [ 20 .. 64 ] characters ^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|... The date and time, in Internet date and time format. Seconds are required while fractional seconds are optional. Note: The regular expression provides guidance but does not reject all invalid dates. |
{- "status": "CREATED",
- "status_details": {
- "reason": "PENDING_REVIEW"
}, - "id": "string",
- "amount": {
- "currency_code": "str",
- "value": "string",
- "breakdown": {
- "item_total": {
- "currency_code": "str",
- "value": "string"
}, - "shipping": {
- "currency_code": "str",
- "value": "string"
}, - "handling": {
- "currency_code": "str",
- "value": "string"
}, - "tax_total": {
- "currency_code": "str",
- "value": "string"
}, - "insurance": {
- "currency_code": "str",
- "value": "string"
}, - "shipping_discount": {
- "currency_code": "str",
- "value": "string"
}, - "discount": {
- "currency_code": "str",
- "value": "string"
}
}
}, - "invoice_id": "string",
- "custom_id": "string",
- "network_transaction_reference": {
- "id": "stringstr",
- "date": "stri",
- "network": "VISA",
- "acquirer_reference_number": "string"
}, - "seller_protection": {
- "status": "ELIGIBLE",
- "dispute_categories": [
- "ITEM_NOT_RECEIVED"
]
}, - "expiration_time": "string",
- "links": [
- {
- "href": "string",
- "rel": "string",
- "method": "GET",
- "title": "string",
- "mediaType": "string",
- "encType": "application/json",
- "schema": {
- "additionalItems": { },
- "dependencies": { },
- "items": { },
- "definitions": { },
- "patternProperties": { },
- "properties": { },
- "allOf": [
- { }
], - "anyOf": [
- { }
], - "oneOf": [
- { }
], - "not": { },
- "links": [
- { }
], - "fragmentResolution": "string",
- "media": {
- "type": "string",
- "binaryEncoding": "string"
},
}, - "targetSchema": {
- "additionalItems": { },
- "dependencies": { },
- "items": { },
- "definitions": { },
- "patternProperties": { },
- "properties": { },
- "allOf": [
- { }
], - "anyOf": [
- { }
], - "oneOf": [
- { }
], - "not": { },
- "links": [
- { }
], - "fragmentResolution": "string",
- "media": {
- "type": "string",
- "binaryEncoding": "string"
},
}
}
], - "create_time": "string",
- "update_time": "string"
}The status fields and status details for an authorized payment.
| status | string (Authorization Status) The status for the authorized payment. |
object (authorization_status_details) The details of the authorized payment status. |
{- "status": "CREATED",
- "status_details": {
- "reason": "PENDING_REVIEW"
}
}The details of the authorized payment status.
| reason | string (Authorization Incomplete Reason) The reason why the authorized status is |
{- "reason": "PENDING_REVIEW"
}The authorization with additional payment details, such as risk assessment and processor response. These details are populated only for certain payment methods.
| status | string (Authorization Status) The status for the authorized payment. |
object (authorization_status_details) The details of the authorized payment status. | |
| id | string [ 0 .. 2147483647 ] characters ^[\S\s]*$ The PayPal-generated ID for the authorized payment. |
object (amount_with_breakdown) The total order amount with an optional breakdown that provides details, such as the total item amount, total tax amount, shipping, handling, insurance, and discounts, if any. | |
| invoice_id | string [ 0 .. 2147483647 ] characters ^[\S\s]*$ The API caller-provided external invoice number for this order. Appears in both the payer's transaction history and the emails that the payer receives. |
| custom_id | string [ 0 .. 255 ] characters ^[\S\s]*$ The API caller-provided external ID. Used to reconcile API caller-initiated transactions with PayPal transactions. Appears in transaction and settlement reports. |
object (network_transaction) Reference values used by the card network to identify a transaction. | |
object (seller_protection) The level of protection offered as defined by PayPal Seller Protection for Merchants. | |
| expiration_time | string (date_time) [ 20 .. 64 ] characters ^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|... The date and time, in Internet date and time format. Seconds are required while fractional seconds are optional. Note: The regular expression provides guidance but does not reject all invalid dates. |
Array of objects (Link Description) [ 0 .. 32767 ] items An array of related HATEOAS links. | |
| create_time | string (date_time) [ 20 .. 64 ] characters ^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|... The date and time, in Internet date and time format. Seconds are required while fractional seconds are optional. Note: The regular expression provides guidance but does not reject all invalid dates. |
| update_time | string (date_time) [ 20 .. 64 ] characters ^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|... The date and time, in Internet date and time format. Seconds are required while fractional seconds are optional. Note: The regular expression provides guidance but does not reject all invalid dates. |
object (processor_response) The processor response information for payment requests, such as direct credit card transactions. |
{- "status": "CREATED",
- "status_details": {
- "reason": "PENDING_REVIEW"
}, - "id": "string",
- "amount": {
- "currency_code": "str",
- "value": "string",
- "breakdown": {
- "item_total": {
- "currency_code": "str",
- "value": "string"
}, - "shipping": {
- "currency_code": "str",
- "value": "string"
}, - "handling": {
- "currency_code": "str",
- "value": "string"
}, - "tax_total": {
- "currency_code": "str",
- "value": "string"
}, - "insurance": {
- "currency_code": "str",
- "value": "string"
}, - "shipping_discount": {
- "currency_code": "str",
- "value": "string"
}, - "discount": {
- "currency_code": "str",
- "value": "string"
}
}
}, - "invoice_id": "string",
- "custom_id": "string",
- "network_transaction_reference": {
- "id": "stringstr",
- "date": "stri",
- "network": "VISA",
- "acquirer_reference_number": "string"
}, - "seller_protection": {
- "status": "ELIGIBLE",
- "dispute_categories": [
- "ITEM_NOT_RECEIVED"
]
}, - "expiration_time": "string",
- "links": [
- {
- "href": "string",
- "rel": "string",
- "method": "GET",
- "title": "string",
- "mediaType": "string",
- "encType": "application/json",
- "schema": {
- "additionalItems": { },
- "dependencies": { },
- "items": { },
- "definitions": { },
- "patternProperties": { },
- "properties": { },
- "allOf": [
- { }
], - "anyOf": [
- { }
], - "oneOf": [
- { }
], - "not": { },
- "links": [
- { }
], - "fragmentResolution": "string",
- "media": {
- "type": "string",
- "binaryEncoding": "string"
},
}, - "targetSchema": {
- "additionalItems": { },
- "dependencies": { },
- "items": { },
- "definitions": { },
- "patternProperties": { },
- "properties": { },
- "allOf": [
- { }
], - "anyOf": [
- { }
], - "oneOf": [
- { }
], - "not": { },
- "links": [
- { }
], - "fragmentResolution": "string",
- "media": {
- "type": "string",
- "binaryEncoding": "string"
},
}
}
], - "create_time": "string",
- "update_time": "string",
- "processor_response": {
- "avs_code": "A",
- "cvv_code": "E",
- "response_code": "0000",
- "payment_advice_code": "01"
}
}Information used to pay Bancontact.
| name | string (name) [ 3 .. 300 ] characters ^[\S\s]*$ The full name representation like Mr J Smith. |
| country_code | string (country_code-2) = 2 characters ^([A-Z]{2}|C2)$ The two-character ISO 3166-1 code that identifies the country or region. Note: The country code for Great Britain is |
| bic | string (BIC) [ 8 .. 11 ] characters ^[A-Z-a-z0-9]{4}[A-Z-a-z]{2}[A-Z-a-z0-9]{2}([... The business identification code (BIC). In payments systems, a BIC is used to identify a specific business, most commonly a bank. |
| iban_last_chars | string (iban_last_chars) [ 4 .. 34 ] characters ^.*[a-zA-Z0-9]{4}.*$ The last characters of the IBAN used to pay. |
| card_last_digits | string = 4 characters ^[0-9]{4}$ The last digits of the card used to fund the Bancontact payment. |
{- "name": "string",
- "country_code": "string",
- "bic": "string",
- "iban_last_chars": "string",
- "card_last_digits": "stri"
}Information needed to pay using Bancontact.
| name required | string (name) [ 3 .. 300 ] characters ^[\S\s]*$ The full name representation like Mr J Smith. |
| country_code required | string (country_code-2) = 2 characters ^([A-Z]{2}|C2)$ The two-character ISO 3166-1 code that identifies the country or region. Note: The country code for Great Britain is |
object (experience_context_base) Customizes the payer experience during the approval process for the payment. |
{- "name": "string",
- "country_code": "string",
- "experience_context": {
- "brand_name": "string",
- "locale": "string",
- "shipping_preference": "GET_FROM_FILE",
}
}The business identification code (BIC). In payments systems, a BIC is used to identify a specific business, most commonly a bank.
The business identification code (BIC). In payments systems, a BIC is used to identify a specific business, most commonly a bank.
"stringst"The PayPal billing agreement ID. References an approved recurring payment for goods or services.
The PayPal billing agreement ID. References an approved recurring payment for goods or services.
"string"The billing cycle providing details of the billing frequency, amount, duration and if the billing cycle is a free, discounted or regular billing cycle. The sequence of the billing cycle will be in the following order - free trial billing cycle(s), discounted trial billing cycle(s), regular billing cycle(s).
| tenure_type required | string The tenure type of the billing cycle identifies if the billing cycle is a trial(free or discounted) or regular billing cycle. |
object (pricing_scheme) The pricing scheme details. | |
| total_cycles | integer [ 0 .. 999 ] Default: 1 The number of times this billing cycle gets executed. Trial billing cycles can only be executed a finite number of times (value between |
| sequence | integer [ 1 .. 3 ] Default: 1 The order in which this cycle is to run among other billing cycles. For example, a trial billing cycle has a |
| start_date | string (date_no_time) = 10 characters ^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|... The stand-alone date, in Internet date and time format. To represent special legal values, such as a date of birth, you should use dates with no associated time or time-zone data. Whenever possible, use the standard |
{- "tenure_type": "REGULAR",
- "pricing_scheme": {
- "price": {
- "currency_code": "str",
- "value": "string"
}, - "pricing_model": "FIXED",
- "reload_threshold_amount": {
- "currency_code": "str",
- "value": "string"
}
}, - "total_cycles": 1,
- "sequence": 1,
- "start_date": "string"
}Bank Identification Number (BIN) details used to fund a payment.
| bin | string [ 1 .. 25 ] characters ^[0-9]+$ The Bank Identification Number (BIN) signifies the number that is being used to identify the granular level details (except the PII information) of the card. |
| issuing_bank | string [ 1 .. 64 ] characters ^[\S\s]*$ The issuer of the card instrument. |
| bin_country_code | string (country_code-2) = 2 characters ^([A-Z]{2}|C2)$ The two-character ISO 3166-1 code that identifies the country or region. Note: The country code for Great Britain is |
| products | Array of strings (products) [ 1 .. 256 ] items The type of card product assigned to the BIN by the issuer. These values are defined by the issuer and may change over time. Some examples include: PREPAID_GIFT, CONSUMER, CORPORATE. |
{- "bin": "string",
- "issuing_bank": "string",
- "bin_country_code": "string",
- "products": [
- "string"
]
}Information used to pay using BLIK.
| name | string (name) [ 3 .. 300 ] characters ^[\S\s]*$ The full name representation like Mr J Smith. |
| country_code | string (country_code-2) = 2 characters ^([A-Z]{2}|C2)$ The two-character ISO 3166-1 code that identifies the country or region. Note: The country code for Great Britain is |
string (email_address) [ 3 .. 254 ] characters ^(?:[A-Za-z0-9!#$%&'*+/=?^_`{|}~-]+(?:\.[A-Za... The internationalized email address. Note: Up to 64 characters are allowed before and 255 characters are allowed after the | |
object (blik_one_click_response) Information used to pay using BLIK one-click flow. |
{- "name": "string",
- "country_code": "string",
- "email": "string",
- "one_click": {
- "consumer_reference": "string"
}
}Customizes the payer experience during the approval process for the BLIK payment.
| brand_name | string [ 1 .. 127 ] characters ^.*$ The label that overrides the business name in the PayPal account on the PayPal site. The pattern is defined by an external party and supports Unicode. |
| locale | string (language) [ 2 .. 10 ] characters ^[a-z]{2}(?:-[A-Z][a-z]{3})?(?:-(?:[A-Z]{2}|[... The language tag for the language in which to localize the error-related strings, such as messages, issues, and suggested actions. The tag is made up of the ISO 639-2 language code, the optional ISO-15924 script tag, and the ISO-3166 alpha-2 country code or M49 region code. |
| shipping_preference | string Default: "GET_FROM_FILE" The location from which the shipping address is derived. |
| return_url | string <uri> (url) [ 0 .. 2147483647 ] characters Describes the URL. |
| cancel_url | string <uri> (url) [ 0 .. 2147483647 ] characters Describes the URL. |
| consumer_ip | string (IP Address) [ 7 .. 39 ] characters ^(([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[... An Internet Protocol address (IP address). This address assigns a numerical label to each device that is connected to a computer network through the Internet Protocol. Supports IPv4 and IPv6 addresses. |
| consumer_user_agent | string [ 1 .. 256 ] characters ^.*$ The payer's User Agent. For example, Mozilla/5.0 (Macintosh; Intel Mac OS X x.y; rv:42.0). |
{- "brand_name": "string",
- "locale": "string",
- "shipping_preference": "GET_FROM_FILE",
- "consumer_ip": "string",
- "consumer_user_agent": "string"
}Information used to pay using BLIK level_0 flow.
| auth_code required | string = 6 characters ^[0-9]{6}$ The 6-digit code used to authenticate a consumer within BLIK. |
{- "auth_code": "string"
}Information used to pay using BLIK one-click flow.
| auth_code | string = 6 characters ^[0-9]{6}$ The 6-digit code used to authenticate a consumer within BLIK. |
| consumer_reference required | string [ 3 .. 64 ] characters ^[ -~]{3,64}$ The merchant generated, unique reference serving as a primary identifier for accounts connected between Blik and a merchant. |
| alias_label | string [ 8 .. 35 ] characters ^[ -~]{8,35}$ A bank defined identifier used as a display name to allow the payer to differentiate between multiple registered bank accounts. |
| alias_key | string [ 1 .. 19 ] characters ^[0-9]+$ A Blik-defined identifier for a specific Blik-enabled bank account that is associated with a given merchant. Used only in conjunction with a Consumer Reference. |
{- "auth_code": "string",
- "consumer_reference": "string",
- "alias_label": "stringst",
- "alias_key": "string"
}Information used to pay using BLIK one-click flow.
| consumer_reference | string [ 3 .. 64 ] characters ^[ -~]{3,64}$ The merchant generated, unique reference serving as a primary identifier for accounts connected between Blik and a merchant. |
{- "consumer_reference": "string"
}Information needed to pay using BLIK.
| name required | string (name) [ 3 .. 300 ] characters ^[\S\s]*$ The full name representation like Mr J Smith. |
| country_code required | string (country_code-2) = 2 characters ^([A-Z]{2}|C2)$ The two-character ISO 3166-1 code that identifies the country or region. Note: The country code for Great Britain is |
string (email_address) [ 3 .. 254 ] characters ^(?:[A-Za-z0-9!#$%&'*+/=?^_`{|}~-]+(?:\.[A-Za... The internationalized email address. Note: Up to 64 characters are allowed before and 255 characters are allowed after the | |
object (blik_experience_context) Customizes the payer experience during the approval process for the BLIK payment. | |
object (blik_level_0) Information used to pay using BLIK level_0 flow. | |
object (blik_one_click) Information used to pay using BLIK one-click flow. |
{- "name": "string",
- "country_code": "string",
- "email": "string",
- "experience_context": {
- "brand_name": "string",
- "locale": "string",
- "shipping_preference": "GET_FROM_FILE",
- "consumer_ip": "string",
- "consumer_user_agent": "string"
}, - "level_0": {
- "auth_code": "string"
}, - "one_click": {
- "auth_code": "string",
- "consumer_reference": "string",
- "alias_label": "stringst",
- "alias_key": "string"
}
}CallBack Configuration that the merchant can provide to PayPal/Venmo.
| callback_events required | Array of strings (callback events) [ 1 .. 5 ] items unique An array of callback events merchant can subscribe to for the corresponding callback url. |
| callback_url required | string <uri> [ 10 .. 2040 ] characters Merchant provided CallBack url.PayPal/Venmo will use this url to call the merchant back when the events occur .PayPal/Venmo expects a secured url usually in the https format.merchant can append the cart id or other params part of the url as query or path params. |
{- "callback_events": [
- "SHIPPING_ADDRESS"
],
}A captured payment.
| status | string (Capture Status) The status of the captured payment. |
object (capture_status_details) The details of the captured payment status. | |
| id | string [ 0 .. 2147483647 ] characters ^[\S\s]*$ The PayPal-generated ID for the captured payment. |
object (amount_with_breakdown) The total order amount with an optional breakdown that provides details, such as the total item amount, total tax amount, shipping, handling, insurance, and discounts, if any. | |
| invoice_id | string [ 0 .. 2147483647 ] characters ^[\S\s]*$ The API caller-provided external invoice number for this order. Appears in both the payer's transaction history and the emails that the payer receives. |
| custom_id | string [ 0 .. 255 ] characters ^[\S\s]*$ The API caller-provided external ID. Used to reconcile API caller-initiated transactions with PayPal transactions. Appears in transaction and settlement reports. |
object (network_transaction) Reference values used by the card network to identify a transaction. | |
object (seller_protection) The level of protection offered as defined by PayPal Seller Protection for Merchants. | |
| final_capture | boolean Default: false Indicates whether you can make additional captures against the authorized payment. Set to |
object (Seller Receivable Breakdown) The detailed breakdown of the capture activity. This is not available for transactions that are in pending state. | |
| disbursement_mode | string (disbursement_mode) Default: "INSTANT" The funds that are held on behalf of the merchant. |
Array of objects (Link Description) [ 0 .. 32767 ] items An array of related HATEOAS links. | |
object (processor_response) The processor response information for payment requests, such as direct credit card transactions. | |
| create_time | string (date_time) [ 20 .. 64 ] characters ^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|... The date and time, in Internet date and time format. Seconds are required while fractional seconds are optional. Note: The regular expression provides guidance but does not reject all invalid dates. |
| update_time | string (date_time) [ 20 .. 64 ] characters ^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|... The date and time, in Internet date and time format. Seconds are required while fractional seconds are optional. Note: The regular expression provides guidance but does not reject all invalid dates. |
{- "status": "COMPLETED",
- "status_details": {
- "reason": "BUYER_COMPLAINT"
}, - "id": "string",
- "amount": {
- "currency_code": "str",
- "value": "string",
- "breakdown": {
- "item_total": {
- "currency_code": "str",
- "value": "string"
}, - "shipping": {
- "currency_code": "str",
- "value": "string"
}, - "handling": {
- "currency_code": "str",
- "value": "string"
}, - "tax_total": {
- "currency_code": "str",
- "value": "string"
}, - "insurance": {
- "currency_code": "str",
- "value": "string"
}, - "shipping_discount": {
- "currency_code": "str",
- "value": "string"
}, - "discount": {
- "currency_code": "str",
- "value": "string"
}
}
}, - "invoice_id": "string",
- "custom_id": "string",
- "network_transaction_reference": {
- "id": "stringstr",
- "date": "stri",
- "network": "VISA",
- "acquirer_reference_number": "string"
}, - "seller_protection": {
- "status": "ELIGIBLE",
- "dispute_categories": [
- "ITEM_NOT_RECEIVED"
]
}, - "final_capture": false,
- "seller_receivable_breakdown": {
- "gross_amount": {
- "currency_code": "str",
- "value": "string"
}, - "paypal_fee": {
- "currency_code": "str",
- "value": "string"
}, - "paypal_fee_in_receivable_currency": {
- "currency_code": "str",
- "value": "string"
}, - "net_amount": {
- "currency_code": "str",
- "value": "string"
}, - "receivable_amount": {
- "currency_code": "str",
- "value": "string"
}, - "exchange_rate": {
- "source_currency": "string",
- "target_currency": "string",
- "value": "string"
}, - "platform_fees": [
- {
- "amount": {
- "currency_code": "str",
- "value": "string"
}, - "payee": {
- "email_address": "string",
- "merchant_id": "string"
}
}
]
}, - "disbursement_mode": "INSTANT",
- "links": [
- {
- "href": "string",
- "rel": "string",
- "method": "GET",
- "title": "string",
- "mediaType": "string",
- "encType": "application/json",
- "schema": {
- "additionalItems": { },
- "dependencies": { },
- "items": { },
- "definitions": { },
- "patternProperties": { },
- "properties": { },
- "allOf": [
- { }
], - "anyOf": [
- { }
], - "oneOf": [
- { }
], - "not": { },
- "links": [
- { }
], - "fragmentResolution": "string",
- "media": {
- "type": "string",
- "binaryEncoding": "string"
},
}, - "targetSchema": {
- "additionalItems": { },
- "dependencies": { },
- "items": { },
- "definitions": { },
- "patternProperties": { },
- "properties": { },
- "allOf": [
- { }
], - "anyOf": [
- { }
], - "oneOf": [
- { }
], - "not": { },
- "links": [
- { }
], - "fragmentResolution": "string",
- "media": {
- "type": "string",
- "binaryEncoding": "string"
},
}
}
], - "processor_response": {
- "avs_code": "A",
- "cvv_code": "E",
- "response_code": "0000",
- "payment_advice_code": "01"
}, - "create_time": "string",
- "update_time": "string"
}The status and status details of a captured payment.
| status | string (Capture Status) The status of the captured payment. |
object (capture_status_details) The details of the captured payment status. |
{- "status": "COMPLETED",
- "status_details": {
- "reason": "BUYER_COMPLAINT"
}
}The details of the captured payment status.
| reason | string (Capture Incomplete Reason) The reason why the captured payment status is |
{- "reason": "BUYER_COMPLAINT"
}The payment card to use to fund a payment. Can be a credit or debit card.
| id | string (instrument_id) [ 1 .. 256 ] characters ^[A-Za-z0-9-_.+=]+$ The identifier of the instrument. |
| name | string [ 1 .. 300 ] characters ^.{1,300}$ The card holder's name as it appears on the card. |
| number | string [ 13 .. 19 ] characters ^[0-9]{13,19}$ The primary account number (PAN) for the payment card. |
| expiry | string (date_year_month) = 7 characters ^[0-9]{4}-(0[1-9]|1[0-2])$ The year and month, in ISO-8601 |
| security_code | string [ 3 .. 4 ] characters ^[0-9]{3,4}$ The three- or four-digit security code of the card. Also known as the CVV, CVC, CVN, CVE, or CID. This parameter cannot be present in the request when |
| last_digits | string [ 2 .. 4 ] characters ^[0-9]{2,4}$ The last digits of the payment card. |
| card_type | string (card_brand) Deprecated The card network or brand. Applies to credit, debit, gift, and payment cards. |
| type | string (card_type) Type of card. i.e Credit, Debit and so on. |
| brand | string (card_brand) The card network or brand. Applies to credit, debit, gift, and payment cards. |
object (Portable Postal Address (Medium-Grained)) The portable international postal address. Maps to AddressValidationMetadata and HTML 5.1 Autofilling form controls: the autocomplete attribute. | |
object (card_attributes) Additional attributes associated with the use of this card. |
{- "id": "string",
- "name": "string",
- "number": "stringstrings",
- "expiry": "string",
- "security_code": "stri",
- "last_digits": "stri",
- "card_type": "VISA",
- "type": "CREDIT",
- "brand": "VISA",
- "billing_address": {
- "address_line_1": "string",
- "address_line_2": "string",
- "address_line_3": "string",
- "admin_area_4": "string",
- "admin_area_3": "string",
- "admin_area_2": "string",
- "admin_area_1": "string",
- "postal_code": "string",
- "country_code": "st",
- "address_details": {
- "street_number": "string",
- "street_name": "string",
- "street_type": "string",
- "delivery_service": "string",
- "building_name": "string",
- "sub_building": "string"
}
}, - "attributes": {
- "customer": {
- "id": "string",
- "email_address": "string",
- "phone": {
- "phone_type": "FAX",
- "phone_number": {
- "national_number": "string"
}
}, - "name": {
- "prefix": "string",
- "given_name": "string",
- "surname": "string",
- "middle_name": "string",
- "suffix": "string",
- "full_name": "string"
}, - "merchant_customer_id": "string"
}, - "vault": {
- "store_in_vault": "ON_SUCCESS"
}, - "verification": {
- "method": "SCA_ALWAYS"
}
}
}The API caller can opt in to verify the card through PayPal offered verification services (e.g. Smart Dollar Auth, 3DS).
| method | string (card_verification) Default: "SCA_WHEN_REQUIRED" The method used for card verification. |
{- "method": "SCA_ALWAYS"
}Additional attributes associated with the use of this card.
object (card_customer) The details about a customer in PayPal's system of record. | |
object (vault_instruction_base) Basic vault instruction specification that can be extended by specific payment sources that supports vaulting. | |
object (Card Verification) The API caller can opt in to verify the card through PayPal offered verification services (e.g. Smart Dollar Auth, 3DS). |
{- "customer": {
- "id": "string",
- "email_address": "string",
- "phone": {
- "phone_type": "FAX",
- "phone_number": {
- "national_number": "string"
}
}, - "name": {
- "prefix": "string",
- "given_name": "string",
- "surname": "string",
- "middle_name": "string",
- "suffix": "string",
- "full_name": "string"
}, - "merchant_customer_id": "string"
}, - "vault": {
- "store_in_vault": "ON_SUCCESS"
}, - "verification": {
- "method": "SCA_ALWAYS"
}
}Additional attributes associated with the use of this card.
object (card_vault_response) The details about a saved Card payment source. |
{- "vault": {
- "id": "string",
- "status": "VAULTED",
- "customer": {
- "id": "string",
- "email_address": "string",
- "phone": {
- "phone_type": "FAX",
- "phone_number": {
- "national_number": "string"
}
}, - "name": {
- "prefix": "string",
- "given_name": "string",
- "surname": "string",
- "middle_name": "string",
- "suffix": "string",
- "full_name": "string"
}, - "merchant_customer_id": "string"
}, - "links": [
- {
- "href": "string",
- "rel": "string",
- "method": "GET",
- "title": "string",
- "mediaType": "string",
- "encType": "application/json",
- "schema": {
- "additionalItems": { },
- "dependencies": { },
- "items": { },
- "definitions": { },
- "patternProperties": { },
- "properties": { },
- "allOf": [
- { }
], - "anyOf": [
- { }
], - "oneOf": [
- { }
], - "not": { },
- "links": [
- { }
], - "fragmentResolution": "string",
- "media": {
- "type": "string",
- "binaryEncoding": "string"
},
}, - "targetSchema": {
- "additionalItems": { },
- "dependencies": { },
- "items": { },
- "definitions": { },
- "patternProperties": { },
- "properties": { },
- "allOf": [
- { }
], - "anyOf": [
- { }
], - "oneOf": [
- { }
], - "not": { },
- "links": [
- { }
], - "fragmentResolution": "string",
- "media": {
- "type": "string",
- "binaryEncoding": "string"
},
}
}
]
}
}The card network or brand. Applies to credit, debit, gift, and payment cards.
The card network or brand. Applies to credit, debit, gift, and payment cards.
"VISA"The details about a customer in PayPal's system of record.
| id | string (merchant_partner_customer_id) [ 1 .. 22 ] characters ^[0-9a-zA-Z_-]+$ The unique ID for a customer generated by PayPal. |
| email_address | string (email) [ 3 .. 254 ] characters ^.*(?:[a-zA-Z0-9!#$%&'*+/=?^_`{|}~-]+(?:\.[a-... The internationalized email address. Note: Up to 64 characters are allowed before and 255 characters are allowed after the |
object (phone_with_type) The phone information. | |
object (Name) The name of the party. | |
| merchant_customer_id | string [ 1 .. 64 ] characters ^[0-9a-zA-Z-_.^*$@#]+$ Merchants and partners may already have a data-store where their customer information is persisted. Use merchant_customer_id to associate the PayPal-generated customer.id to your representation of a customer. |
{- "id": "string",
- "email_address": "string",
- "phone": {
- "phone_type": "FAX",
- "phone_number": {
- "national_number": "string"
}
}, - "name": {
- "prefix": "string",
- "given_name": "string",
- "surname": "string",
- "middle_name": "string",
- "suffix": "string",
- "full_name": "string"
}, - "merchant_customer_id": "string"
}Customizes the payer experience during the 3DS Approval for payment.
| return_url | string <uri> (url) [ 10 .. 4000 ] characters Describes the URL. |
| cancel_url | string <uri> (url) [ 10 .. 4000 ] characters Describes the URL. |
{
}Representation of card details as received in the request.
| expiry | string (date_year_month) = 7 characters ^[0-9]{4}-(0[1-9]|1[0-2])$ The year and month, in ISO-8601 |
| last_digits | string [ 2 .. 4 ] characters ^.*[0-9]{2,}.*$ The last digits of the payment card. |
{- "expiry": "string",
- "last_digits": "stri"
}The payment card to use to fund a payment. Can be a credit or debit card.
Note: Passing card number, cvv and expiry directly via the API requires PCI SAQ D compliance.
PayPal offers a mechanism by which you do not have to take on the PCI SAQ D burden by using hosted fields - refer to this Integration Guide.
| id | string (instrument_id) [ 1 .. 256 ] characters ^[A-Za-z0-9-_.+=]+$ The identifier of the instrument. |
| name | string [ 1 .. 300 ] characters ^.{1,300}$ The card holder's name as it appears on the card. |
| number | string [ 13 .. 19 ] characters ^[0-9]{13,19}$ The primary account number (PAN) for the payment card. |
| expiry | string (date_year_month) = 7 characters ^[0-9]{4}-(0[1-9]|1[0-2])$ The year and month, in ISO-8601 |
| security_code | string [ 3 .. 4 ] characters ^[0-9]{3,4}$ The three- or four-digit security code of the card. Also known as the CVV, CVC, CVN, CVE, or CID. This parameter cannot be present in the request when |
| last_digits | string [ 2 .. 4 ] characters ^[0-9]{2,4}$ The last digits of the payment card. |
| card_type | string (card_brand) Deprecated The card network or brand. Applies to credit, debit, gift, and payment cards. |
| type | string (card_type) Type of card. i.e Credit, Debit and so on. |
| brand | string (card_brand) The card network or brand. Applies to credit, debit, gift, and payment cards. |
object (Portable Postal Address (Medium-Grained)) The portable international postal address. Maps to AddressValidationMetadata and HTML 5.1 Autofilling form controls: the autocomplete attribute. | |
object (card_attributes) Additional attributes associated with the use of this card. | |
| vault_id | string (vault_id) [ 1 .. 255 ] characters ^[0-9a-zA-Z_-]+$ The PayPal-generated ID for the vaulted payment source. This ID should be stored on the merchant's server so the saved payment source can be used for future transactions. |
| single_use_token | string (single_use_token) [ 1 .. 255 ] characters ^[0-9a-zA-Z_-]+$ The PayPal-generated, short-lived, one-time-use token, used to communicate payment information to PayPal for transaction processing. |
object (card_stored_credential) Provides additional details to process a payment using a
| |
object (network_token) The Third Party Network token used to fund a payment. | |
object (card_experience_context) Customizes the payer experience during the 3DS Approval for payment. |
{- "id": "string",
- "name": "string",
- "number": "stringstrings",
- "expiry": "string",
- "security_code": "stri",
- "last_digits": "stri",
- "card_type": "VISA",
- "type": "CREDIT",
- "brand": "VISA",
- "billing_address": {
- "address_line_1": "string",
- "address_line_2": "string",
- "address_line_3": "string",
- "admin_area_4": "string",
- "admin_area_3": "string",
- "admin_area_2": "string",
- "admin_area_1": "string",
- "postal_code": "string",
- "country_code": "st",
- "address_details": {
- "street_number": "string",
- "street_name": "string",
- "street_type": "string",
- "delivery_service": "string",
- "building_name": "string",
- "sub_building": "string"
}
}, - "attributes": {
- "customer": {
- "id": "string",
- "email_address": "string",
- "phone": {
- "phone_type": "FAX",
- "phone_number": {
- "national_number": "string"
}
}, - "name": {
- "prefix": "string",
- "given_name": "string",
- "surname": "string",
- "middle_name": "string",
- "suffix": "string",
- "full_name": "string"
}, - "merchant_customer_id": "string"
}, - "vault": {
- "store_in_vault": "ON_SUCCESS"
}, - "verification": {
- "method": "SCA_ALWAYS"
}
}, - "vault_id": "string",
- "single_use_token": "string",
- "stored_credential": {
- "payment_initiator": "CUSTOMER",
- "payment_type": "ONE_TIME",
- "usage": "FIRST",
- "previous_network_transaction_reference": {
- "id": "stringstr",
- "date": "stri",
- "network": "VISA",
- "acquirer_reference_number": "string"
}
}, - "network_token": {
- "number": "stringstrings",
- "expiry": "string",
- "cryptogram": "stringstringstringstringstri",
- "eci_flag": "MASTERCARD_NON_3D_SECURE_TRANSACTION",
- "token_requestor_id": "string"
},
}The payment card to use to fund a payment. Card can be a credit or debit card.
| name | string [ 2 .. 300 ] characters ^[\S\s]*$ The card holder's name as it appears on the card. |
| last_digits | string [ 0 .. 2147483647 ] characters ^.*[0-9]{2,}.*$ The last digits of the payment card. |
| brand | string (card_brand) The card network or brand. Applies to credit, debit, gift, and payment cards. |
| available_networks | Array of strings (card_brand) [ 1 .. 256 ] items Array of brands or networks associated with the card. |
| type | string (card_type) Type of card. i.e Credit, Debit and so on. |
object (authentication_response) Results of Authentication such as 3D Secure. | |
object (card_attributes_response) Additional attributes associated with the use of this card. | |
object (card_from_request) Representation of card details as received in the request. | |
| expiry | string (date_year_month) = 7 characters ^[0-9]{4}-(0[1-9]|1[0-2])$ The year and month, in ISO-8601 |
object (bin_details) Bank Identification Number (BIN) details used to fund a payment. | |
object (card_stored_credential) Provides additional details to process a payment using a
|
{- "name": "string",
- "last_digits": "string",
- "brand": "VISA",
- "available_networks": [
- "VISA"
], - "type": "CREDIT",
- "authentication_result": {
- "liability_shift": "NO",
- "three_d_secure": {
- "authentication_status": "Y",
- "enrollment_status": "Y"
}
}, - "attributes": {
- "vault": {
- "id": "string",
- "status": "VAULTED",
- "customer": {
- "id": "string",
- "email_address": "string",
- "phone": {
- "phone_type": "FAX",
- "phone_number": {
- "national_number": "string"
}
}, - "name": {
- "prefix": "string",
- "given_name": "string",
- "surname": "string",
- "middle_name": "string",
- "suffix": "string",
- "full_name": "string"
}, - "merchant_customer_id": "string"
}, - "links": [
- {
- "href": "string",
- "rel": "string",
- "method": "GET",
- "title": "string",
- "mediaType": "string",
- "encType": "application/json",
- "schema": {
- "additionalItems": { },
- "dependencies": { },
- "items": { },
- "definitions": { },
- "patternProperties": { },
- "properties": { },
- "allOf": [
- { }
], - "anyOf": [
- { }
], - "oneOf": [
- { }
], - "not": { },
- "links": [
- { }
], - "fragmentResolution": "string",
- "media": {
- "type": "string",
- "binaryEncoding": "string"
},
}, - "targetSchema": {
- "additionalItems": { },
- "dependencies": { },
- "items": { },
- "definitions": { },
- "patternProperties": { },
- "properties": { },
- "allOf": [
- { }
], - "anyOf": [
- { }
], - "oneOf": [
- { }
], - "not": { },
- "links": [
- { }
], - "fragmentResolution": "string",
- "media": {
- "type": "string",
- "binaryEncoding": "string"
},
}
}
]
}
}, - "from_request": {
- "expiry": "string",
- "last_digits": "stri"
}, - "expiry": "string",
- "bin_details": {
- "bin": "string",
- "issuing_bank": "string",
- "bin_country_code": "string",
- "products": [
- "string"
]
}, - "stored_credential": {
- "payment_initiator": "CUSTOMER",
- "payment_type": "ONE_TIME",
- "usage": "FIRST",
- "previous_network_transaction_reference": {
- "id": "stringstr",
- "date": "stri",
- "network": "VISA",
- "acquirer_reference_number": "string"
}
}
}Provides additional details to process a payment using a card that has been stored or is intended to be stored (also referred to as stored_credential or card-on-file).
Parameter compatibility:
payment_type=ONE_TIME is compatible only with payment_initiator=CUSTOMER.usage=FIRST is compatible only with payment_initiator=CUSTOMER.previous_transaction_reference or previous_network_transaction_reference is compatible only with payment_initiator=MERCHANT.previous_transaction_reference and previous_network_transaction_reference - can be present in the request.| payment_initiator required | string (payment_initiator) The person or party who initiated or triggered the payment. |
| payment_type required | string (stored_payment_source_payment_type) Indicates the type of the stored payment_source payment. |
| usage | string (stored_payment_source_usage_type) Default: "DERIVED" Indicates if this is a |
object (network_transaction_reference) Reference values used by the card network to identify a transaction. |
{- "payment_initiator": "CUSTOMER",
- "payment_type": "ONE_TIME",
- "usage": "FIRST",
- "previous_network_transaction_reference": {
- "id": "stringstr",
- "date": "stri",
- "network": "VISA",
- "acquirer_reference_number": "string"
}
}Merchants and partners can add Level 2 and 3 data to payments to reduce risk and payment processing costs. For more information about processing payments, see checkout or multiparty checkout.
object (level_2) The level 2 card processing data collections. If your merchant account has been configured for Level 2 processing this field will be passed to the processor on your behalf. Please contact your PayPal Technical Account Manager to define level 2 data for your business. | |
object (level_3) The level 3 card processing data collections, If your merchant account has been configured for Level 3 processing this field will be passed to the processor on your behalf. Please contact your PayPal Technical Account Manager to define level 3 data for your business. |
{- "level_2": {
- "invoice_id": "string",
- "tax_total": {
- "currency_code": "str",
- "value": "string"
}
}, - "level_3": {
- "shipping_amount": {
- "currency_code": "str",
- "value": "string"
}, - "duty_amount": {
- "currency_code": "str",
- "value": "string"
}, - "discount_amount": {
- "currency_code": "str",
- "value": "string"
}, - "shipping_address": {
- "address_line_1": "string",
- "address_line_2": "string",
- "address_line_3": "string",
- "admin_area_4": "string",
- "admin_area_3": "string",
- "admin_area_2": "string",
- "admin_area_1": "string",
- "postal_code": "string",
- "country_code": "st",
- "address_details": {
- "street_number": "string",
- "street_name": "string",
- "street_type": "string",
- "delivery_service": "string",
- "building_name": "string",
- "sub_building": "string"
}
}, - "ships_from_postal_code": "string",
- "line_items": [
- {
- "name": "string",
- "quantity": "string",
- "description": "string",
- "sku": "string",
- "upc": {
- "type": "UPC-A",
- "code": "string"
}, - "billing_plan": {
- "billing_cycles": [
- {
- "tenure_type": "REGULAR",
- "pricing_scheme": {
- "price": null,
- "pricing_model": null,
- "reload_threshold_amount": null
}, - "total_cycles": 1,
- "sequence": 1,
- "start_date": "string"
}
], - "setup_fee": {
- "currency_code": "str",
- "value": "string"
}, - "name": "string"
}, - "unit_amount": {
- "currency_code": "str",
- "value": "string"
}, - "tax": {
- "currency_code": "str",
- "value": "string"
}, - "commodity_code": "string",
- "discount_amount": {
- "currency_code": "str",
- "value": "string"
}, - "total_amount": {
- "currency_code": "str",
- "value": "string"
}, - "unit_of_measure": "string"
}
]
}
}Type of card. i.e Credit, Debit and so on.
Type of card. i.e Credit, Debit and so on.
"CREDIT"The details about a saved Card payment source.
| id | string [ 1 .. 255 ] characters ^[\S\s]*$ The PayPal-generated ID for the saved payment source. |
| status | string (Vault Status) The vault status. |
object (customer) This object represents a merchant’s customer, allowing them to store contact details, and track all payments associated with the same customer. | |
Array of objects (Link Description) [ 1 .. 10 ] items An array of request-related HATEOAS links. |
{- "id": "string",
- "status": "VAULTED",
- "customer": {
- "id": "string",
- "email_address": "string",
- "phone": {
- "phone_type": "FAX",
- "phone_number": {
- "national_number": "string"
}
}, - "name": {
- "prefix": "string",
- "given_name": "string",
- "surname": "string",
- "middle_name": "string",
- "suffix": "string",
- "full_name": "string"
}, - "merchant_customer_id": "string"
}, - "links": [
- {
- "href": "string",
- "rel": "string",
- "method": "GET",
- "title": "string",
- "mediaType": "string",
- "encType": "application/json",
- "schema": {
- "additionalItems": { },
- "dependencies": { },
- "items": { },
- "definitions": { },
- "patternProperties": { },
- "properties": { },
- "allOf": [
- { }
], - "anyOf": [
- { }
], - "oneOf": [
- { }
], - "not": { },
- "links": [
- { }
], - "fragmentResolution": "string",
- "media": {
- "type": "string",
- "binaryEncoding": "string"
},
}, - "targetSchema": {
- "additionalItems": { },
- "dependencies": { },
- "items": { },
- "definitions": { },
- "patternProperties": { },
- "properties": { },
- "allOf": [
- { }
], - "anyOf": [
- { }
], - "oneOf": [
- { }
], - "not": { },
- "links": [
- { }
], - "fragmentResolution": "string",
- "media": {
- "type": "string",
- "binaryEncoding": "string"
},
}
}
]
}The carrier for the shipment. Some carriers have a global version as well as local subsidiaries. The subsidiaries are repeated over many countries and might also have an entry in the global list. Choose the carrier for your country. If the carrier is not available for your country, choose the global version of the carrier. If your carrier name is not in the list, set carrier to OTHER and set carrier name in carrier_name_other. For allowed values, see Carriers.
The carrier for the shipment. Some carriers have a global version as well as local subsidiaries. The subsidiaries are repeated over many countries and might also have an entry in the global list. Choose the carrier for your country. If the carrier is not available for your country, choose the global version of the carrier. If your carrier name is not in the list, set carrier to OTHER and set carrier name in carrier_name_other. For allowed values, see Carriers.
"DPD_RU"Expected business/pricing model for the billing agreement.
Expected business/pricing model for the billing agreement.
"IMMEDIATE"The intent to either capture payment immediately or authorize a payment for an order after order creation.
The intent to either capture payment immediately or authorize a payment for an order after order creation.
"CAPTURE"Details about the merchant cobranded card used for order purchase.
| labels | Array of strings (label) [ 1 .. 25 ] items Array of labels for the cobranded card. |
object (payee_base) The details for the merchant who receives the funds and fulfills the order. The merchant is also known as the payee. | |
object (Money) The currency and amount for a financial transaction, such as a balance or payment due. |
{- "labels": [
- "string"
], - "payee": {
- "email_address": "string",
- "merchant_id": "string"
}, - "amount": {
- "currency_code": "str",
- "value": "string"
}
}Payer confirms the intent to pay for the Order using the provided payment source.
required | object (payment_source) The payment source definition. |
object (Order Confirm Application Context) Customizes the payer confirmation experience. |
{- "payment_source": {
- "card": {
- "id": "string",
- "name": "string",
- "number": "stringstrings",
- "expiry": "string",
- "security_code": "stri",
- "last_digits": "stri",
- "card_type": "VISA",
- "type": "CREDIT",
- "brand": "VISA",
- "billing_address": {
- "address_line_1": "string",
- "address_line_2": "string",
- "address_line_3": "string",
- "admin_area_4": "string",
- "admin_area_3": "string",
- "admin_area_2": "string",
- "admin_area_1": "string",
- "postal_code": "string",
- "country_code": "st",
- "address_details": {
- "street_number": "string",
- "street_name": "string",
- "street_type": "string",
- "delivery_service": "string",
- "building_name": "string",
- "sub_building": "string"
}
}, - "attributes": {
- "customer": {
- "id": "string",
- "email_address": "string",
- "phone": {
- "phone_type": "FAX",
- "phone_number": {
- "national_number": "string"
}
}, - "name": {
- "prefix": "string",
- "given_name": "string",
- "surname": "string",
- "middle_name": "string",
- "suffix": "string",
- "full_name": "string"
}, - "merchant_customer_id": "string"
}, - "vault": {
- "store_in_vault": "ON_SUCCESS"
}, - "verification": {
- "method": "SCA_ALWAYS"
}
}, - "vault_id": "string",
- "single_use_token": "string",
- "stored_credential": {
- "payment_initiator": "CUSTOMER",
- "payment_type": "ONE_TIME",
- "usage": "FIRST",
- "previous_network_transaction_reference": {
- "id": "stringstr",
- "date": "stri",
- "network": "VISA",
- "acquirer_reference_number": "string"
}
}, - "network_token": {
- "number": "stringstrings",
- "expiry": "string",
- "cryptogram": "stringstringstringstringstri",
- "eci_flag": "MASTERCARD_NON_3D_SECURE_TRANSACTION",
- "token_requestor_id": "string"
},
}, - "token": {
- "id": "string",
- "type": "BILLING_AGREEMENT"
}, - "paypal": {
- "vault_id": "string",
- "email_address": "string",
- "name": {
- "prefix": "string",
- "given_name": "string",
- "surname": "string",
- "middle_name": "string",
- "suffix": "string",
- "full_name": "string"
}, - "phone": {
- "phone_type": "FAX",
- "phone_number": {
- "national_number": "string"
}
}, - "birth_date": "string",
- "tax_info": {
- "tax_id": "string",
- "tax_id_type": "BR_CPF"
}, - "address": {
- "address_line_1": "string",
- "address_line_2": "string",
- "address_line_3": "string",
- "admin_area_4": "string",
- "admin_area_3": "string",
- "admin_area_2": "string",
- "admin_area_1": "string",
- "postal_code": "string",
- "country_code": "st",
- "address_details": {
- "street_number": "string",
- "street_name": "string",
- "street_type": "string",
- "delivery_service": "string",
- "building_name": "string",
- "sub_building": "string"
}
}, - "attributes": {
- "customer": {
- "id": "string",
- "email_address": "string",
- "phone": {
- "phone_type": "FAX",
- "phone_number": {
- "national_number": "string"
}
}, - "name": {
- "prefix": "string",
- "given_name": "string",
- "surname": "string",
- "middle_name": "string",
- "suffix": "string",
- "full_name": "string"
}, - "merchant_customer_id": "string"
}, - "vault": {
- "store_in_vault": "ON_SUCCESS",
- "description": "string",
- "usage_pattern": "IMMEDIATE",
- "shipping": {
- "name": {
- "prefix": "string",
- "given_name": "string",
- "surname": "string",
- "middle_name": "string",
- "suffix": "string",
- "full_name": "string"
}, - "email_address": "string",
- "phone_number": {
- "country_code": "str",
- "national_number": "string",
- "extension_number": "string"
}, - "type": "SHIPPING",
- "options": [
- {
- "id": null,
- "label": null,
- "type": null,
- "amount": null,
- "selected": null
}
], - "address": {
- "address_line_1": "string",
- "address_line_2": "string",
- "address_line_3": "string",
- "admin_area_4": "string",
- "admin_area_3": "string",
- "admin_area_2": "string",
- "admin_area_1": "string",
- "postal_code": "string",
- "country_code": "st",
- "address_details": {
- "street_number": null,
- "street_name": null,
- "street_type": null,
- "delivery_service": null,
- "building_name": null,
- "sub_building": null
}
}
}, - "usage_type": "MERCHANT",
- "customer_type": "CONSUMER",
- "permit_multiple_payment_tokens": false
}
}, - "experience_context": {
- "brand_name": "string",
- "locale": "string",
- "shipping_preference": "GET_FROM_FILE",
- "contact_preference": "NO_CONTACT_INFO",
- "app_switch_context": {
- "native_app": {
- "os_type": "ANDROID",
- "os_version": "string"
}, - "mobile_web": {
- "return_flow": "AUTO",
- "buyer_user_agent": "string"
}
}, - "landing_page": "LOGIN",
- "user_action": "CONTINUE",
- "payment_method_preference": "UNRESTRICTED",
- "order_update_callback_config": {
- "callback_events": [
- "SHIPPING_ADDRESS"
],
}
}, - "billing_agreement_id": "string",
- "stored_credential": {
- "payment_initiator": "CUSTOMER",
- "charge_pattern": "IMMEDIATE",
- "usage_pattern": "IMMEDIATE",
- "usage": "FIRST"
}
}, - "bancontact": {
- "name": "string",
- "country_code": "string",
- "experience_context": {
- "brand_name": "string",
- "locale": "string",
- "shipping_preference": "GET_FROM_FILE",
}
}, - "blik": {
- "name": "string",
- "country_code": "string",
- "email": "string",
- "experience_context": {
- "brand_name": "string",
- "locale": "string",
- "shipping_preference": "GET_FROM_FILE",
- "consumer_ip": "string",
- "consumer_user_agent": "string"
}, - "level_0": {
- "auth_code": "string"
}, - "one_click": {
- "auth_code": "string",
- "consumer_reference": "string",
- "alias_label": "stringst",
- "alias_key": "string"
}
}, - "eps": {
- "name": "string",
- "country_code": "string",
- "experience_context": {
- "brand_name": "string",
- "locale": "string",
- "shipping_preference": "GET_FROM_FILE",
}
}, - "giropay": {
- "name": "string",
- "country_code": "string",
- "experience_context": {
- "brand_name": "string",
- "locale": "string",
- "shipping_preference": "GET_FROM_FILE",
}
}, - "ideal": {
- "name": "string",
- "country_code": "string",
- "bic": "string",
- "experience_context": {
- "brand_name": "string",
- "locale": "string",
- "shipping_preference": "GET_FROM_FILE",
}
}, - "mybank": {
- "name": "string",
- "country_code": "string",
- "experience_context": {
- "brand_name": "string",
- "locale": "string",
- "shipping_preference": "GET_FROM_FILE",
}
}, - "p24": {
- "name": "string",
- "email": "string",
- "country_code": "string",
- "experience_context": {
- "brand_name": "string",
- "locale": "string",
- "shipping_preference": "GET_FROM_FILE",
}
}, - "sofort": {
- "name": "string",
- "country_code": "string",
- "experience_context": {
- "brand_name": "string",
- "locale": "string",
- "shipping_preference": "GET_FROM_FILE",
}
}, - "trustly": {
- "name": "string",
- "country_code": "string",
- "email": "string",
- "experience_context": {
- "brand_name": "string",
- "locale": "string",
- "shipping_preference": "GET_FROM_FILE",
}
}, - "apple_pay": {
- "id": "string",
- "name": "string",
- "email_address": "string",
- "phone_number": {
- "national_number": "string"
}, - "decrypted_token": {
- "transaction_amount": {
- "currency_code": "str",
- "value": "string"
}, - "tokenized_card": {
- "id": "string",
- "name": "string",
- "number": "stringstrings",
- "expiry": "string",
- "security_code": "stri",
- "last_digits": "stri",
- "card_type": "VISA",
- "type": "CREDIT",
- "brand": "VISA",
- "billing_address": {
- "address_line_1": "string",
- "address_line_2": "string",
- "address_line_3": "string",
- "admin_area_4": "string",
- "admin_area_3": "string",
- "admin_area_2": "string",
- "admin_area_1": "string",
- "postal_code": "string",
- "country_code": "st",
- "address_details": {
- "street_number": "string",
- "street_name": "string",
- "street_type": "string",
- "delivery_service": "string",
- "building_name": "string",
- "sub_building": "string"
}
}, - "attributes": {
- "customer": {
- "id": "string",
- "email_address": "string",
- "phone": {
- "phone_type": null,
- "phone_number": null
}, - "name": {
- "prefix": null,
- "given_name": null,
- "surname": null,
- "middle_name": null,
- "suffix": null,
- "full_name": null
}, - "merchant_customer_id": "string"
}, - "vault": {
- "store_in_vault": "ON_SUCCESS"
}, - "verification": {
- "method": "SCA_ALWAYS"
}
}
}, - "device_manufacturer_id": "string",
- "payment_data_type": "3DSECURE",
- "payment_data": {
- "cryptogram": "string",
- "eci_indicator": "string",
- "emv_data": "string",
- "pin": "string"
}
}, - "stored_credential": {
- "payment_initiator": "CUSTOMER",
- "payment_type": "ONE_TIME",
- "usage": "FIRST",
- "previous_network_transaction_reference": {
- "id": "stringstr",
- "date": "stri",
- "network": "VISA",
- "acquirer_reference_number": "string"
}
}, - "vault_id": "string",
- "attributes": {
- "customer": {
- "id": "string",
- "email_address": "string",
- "phone": {
- "phone_type": "FAX",
- "phone_number": {
- "national_number": "string"
}
}, - "name": {
- "prefix": "string",
- "given_name": "string",
- "surname": "string",
- "middle_name": "string",
- "suffix": "string",
- "full_name": "string"
}
}, - "vault": {
- "store_in_vault": "ON_SUCCESS"
}
},
}, - "google_pay": {
- "name": "string",
- "email_address": "string",
- "phone_number": {
- "country_code": "str",
- "national_number": "string"
}, - "card": {
[...]
